=== kernel/power/Makefile ===
obj-y				:= main.o process.o console.o pm.o
obj-$(CONFIG_SOFTWARE_SUSPEND)	+= swsusp.o
obj-$(CONFIG_PM_DISK)		+= disk.o pmdisk.o

obj-$(CONFIG_MAGIC_SYSRQ)	+= poweroff.o

ifneq ($(CONFIG_SOFTWARE_SUSPEND),)
obj-y				+= swsusp-core.o
endif
