=== arch/i386/power/Makefile ===
swsusp-arch-y			+= swsusp_syms.o swsusp.o

obj-$(CONFIG_PM)		+= cpu.o
obj-$(CONFIG_PM_DISK)		+= pmdisk.o

ifneq ($(CONFIG_SOFTWARE_SUSPEND),)
obj-y				+= swsusp-arch.o
endif
