=== debian/changelog ===
kernel-source-2.6.6 (2.6.6-2) unstable; urgency=low

  * Fix i386 FPU bug.
  * Transfer control of package to debian kernel team.

 -- William Lee Irwin III <wli@debian.org>  Tue, 15 Jun 2004 11:06:35 -0700

kernel-source-2.6.6 (2.6.6-1) unstable; urgency=low

  * New upstream release (closes: #243084, #244728, #245959, #247486).
  * Deleted unused exit prototype in drivers/scsi/aic7xxx/aic7xxx_osm.c.
  * Unregister properly if no devices are found in
    drivers/scsi/aic7xxx/aic79xx_osm.c (closes: #246277, #247298).
  * Fixed GUCODE type check in drivers/usb/input/hiddev.c (Sergey Vlasov).
  * Added basic highmem support in drivers/scsi/advansys.c (closes: #245238).
  * Changed all occurrences herbert@debian.org:
    . arch/i386/power/swsusp_syms.c
    . arch/x86_64/kernel/swsusp_syms.c
    . kernel/power/swsusp-core.c
    . kernel/power/swsusp.h
  * Reverted broken "VIA KT400-8235" change in arch/i386/kernel/dmi_scan.c.
  * Fixed IRQ assignment in drivers/acpi/pci_link.c (Len Brown).
  * Fixed resume device check (Sau Dan Lee):
    . kernel/power/swsusp-core.c
    . kernel/power/swsusp.c
    . kernel/power/swsusp.h
  * Restored driver without firmware:
    . drivers/net/Kconfig
    . drivers/net/Makefile
    . drivers/net/tg3.c
  * Added firmware loading support (Nathaneal Nerode):
    . drivers/net/Kconfig
    . drivers/net/tg3.c

 -- Herbert Xu <herbert@debian.org>  Tue, 11 May 2004 19:42:16 +1000

kernel-source-2.6.5 (2.6.5-4) unstable; urgency=high

  * Unregister PCI driver in drivers/pci/hotplug/acpiphp_glue.c.
  * Fixed print_pirt NULL deref in drivers/pci/hotplug/shpchprm_acpi.c
    (closes: #246149).
  * Reverted radeon/r128 firmware changes (closes: #246587, #246594, #246627):
    . drivers/char/drm/Kconfig
    . drivers/char/drm/Makefile
    . drivers/char/drm/r128_cce.c
    . drivers/char/drm/r128_drv.h
    . drivers/char/drm/r128_firmware_loader.c
    . drivers/char/drm/radeon_cp.c
    . drivers/char/drm/radeon_drv.h
    . drivers/char/drm/radeon_firmware_loader.c

 -- Herbert Xu <herbert@debian.org>  Fri, 30 Apr 2004 09:05:39 +1000

kernel-source-2.6.5 (2.6.5-3) unstable; urgency=medium

  * Added firmware loading support (Nathaneal Nerode):
    . drivers/char/drm/Kconfig
    . drivers/char/drm/Makefile
    . drivers/char/drm/r128_cce.c
    . drivers/char/drm/r128_drv.h
    . drivers/char/drm/r128_firmware_loader.c
    . drivers/char/drm/radeon_cp.c
    . drivers/char/drm/radeon_drv.h
    . drivers/char/drm/radeon_firmware_loader.c
  * Removed non-free firmware:
    . R128 firmware: drivers/char/drm/r128_cce.c
    . Radeon firmware: drivers/char/drm/radeon_cp.c
  * Read .extraversion if it exists in Makefile.
  * Added support for removal in drivers/ide/ide-generic.c.
  * Set GPL license in arch/i386/kernel/cpu/mcheck/non-fatal.c.
  * Copy pages in reverse (closes: #234976):
    . arch/i386/power/pmdisk.S
    . arch/i386/power/swsusp.S
  * Lowered maximum NR_CPUS to 32 in arch/sparc64/Kconfig (closes: #245971).

 -- Herbert Xu <herbert@debian.org>  Tue, 27 Apr 2004 20:31:41 +1000

kernel-source-2.6.5 (2.6.5-2) unstable; urgency=low

  * Reverted pid == 1 change in kernel/fork.c.
  * Allow PCI IDE drivers to be unloaded if probing fails in
    drivers/ide/pci/atiixp.c.
  * Fixed single word src misalign > dest misalign case in
    arch/alpha/lib/stxncpy.S (glibc).
  * Removed obsolete gcc workaround in sound/core/oss/Makefile.
  * Fixed boundary checks for GUSAGE/SUSAGE in drivers/usb/input/hiddev.c.
  * Fake inquiry for Sony Clie PEG-TJ25 in drivers/usb/storage/unusual_devs.h
    (closes: #243650).
  * Strip quotes from parameters in kernel/params.c (bk, closes: #243588).
  * Added device release function in drivers/char/mwave/mwavedd.c
    (closes: #244207).
  * Set __exit tags on module_exit in drivers/ide/pci/*.
  * Partially modularised software suspend:
    . arch/i386/power/Makefile
    . arch/i386/power/swsusp_syms.c
    . arch/x86_64/kernel/Makefile
    . arch/x86_64/kernel/swsusp_syms.c
    . drivers/acpi/sleep/proc.c
    . fs/buffer.c
    . include/linux/suspend.h
    . kernel/sys.c
    . kernel/power/Kconfig
    . kernel/power/Makefile
    . kernel/power/console.c
    . kernel/power/process.c
    . kernel/power/swsusp-core.c
    . kernel/power/swsusp.c
    . kernel/power/swsusp.h
    . mm/vmscan.c
  * Fixed illegal __exit reference:
    . drivers/scsi/aic7xxx/aic7xxx_osm.c
    . drivers/scsi/aic7xxx/aic7xxx_osm.h
  * Fixed local root exploit in fs/isofs/rock.c (Ernie Petrides).
  * Clear b_data in journal_get_descriptor_buffer in fs/jbd/journal.c
    (Ted Ts'o).
  * Added module option parsing in drivers/video/vesafb.c (closes: #244031).
  * Fixed vesafb_exit leaks in drivers/video/vesafb.c.

 -- Herbert Xu <herbert@debian.org>  Fri, 23 Apr 2004 21:50:18 +1000

kernel-source-2.6.5 (2.6.5-1) unstable; urgency=low

  * New upstream release (closes: #235419, #238569).
  * Applied SCSI Media Changer patch (closes: #238476).
  * Fixed strcmp in sysfs store (closes: #234446):
    . kernel/power/main.c
    . kernel/power/disk.c
  * Do not unshare files for pid == 1 in kernel/fork.c (closes: #239029).
  * Removed ide-detect in favour of ide-generic:
    . drivers/ide/Makefile
    . drivers/ide/ide-default.c
    . drivers/ide/ide-generic.c
    . drivers/ide/ide-io.c
    . drivers/ide/ide-probe.c
    . drivers/ide/ide-probe-mini.c
  * Check __HAVE_THREAD_FUNCTIONS in include/linux/thread_info.h (m68k).
  * Unregister properly if no devices are found (closes: #237477):
    . drivers/scsi/aic7xxx/aic7770_osm.c
    . drivers/scsi/aic7xxx/aic7xxx_osm.c
    . drivers/scsi/aic7xxx/aic7xxx_osm.h
  * Fixed X86_PM_TIMER description in drivers/acpi/Kconfig (Jochen Voss,
    closes: #241941).
  * Removed non-free firmware and disabled their drivers (see #239952):
    . QLA2XXX: drivers/scsi/qla2xxx/*_fw.c
    . TIGON3: drivers/net/tg3.c
    . Unused: sound/oss/724hwmcode.h
    . Unused: sound/oss/Hwmcode.h
  * Lowered priority of "too many keys" message in

