=== debian/control ===
Source: kernel-source-2.6.6
Section: devel
Priority: optional
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: William Lee Irwin III <wli@debian.org>
Standards-Version: 3.6.1
Build-Depends: bzip2, debhelper, docbook-utils, gs, kernel-package (>= 7.48), transfig

Package: kernel-source-2.6.6
Architecture: all
Section: devel
Priority: optional
Provides: kernel-source, kernel-source-2.6
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package
Description: Linux kernel source for version 2.6.6 with Debian patches
 This package provides the source code for the Linux kernel version 2.6.6.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file
 /usr/share/doc/kernel-source-2.6.6/README.headers.gz.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: kernel-doc-2.6.6
Architecture: all
Section: doc
Priority: optional
Provides: kernel-doc-2.6
Depends: coreutils | fileutils (>= 4.0)
Description: Linux kernel specific documentation for version 2.6.6
 This package provides The various readme's in the 2.6.6 kernel
 Documentation/ subdirectory: these typically contain kernel-specific
 installation notes for some drivers for example. See
 /usr/share/doc/kernel-doc-X.X.XX/Documentation/00-INDEX for a list of what
 is contained in each file.  Please read the Changes file, as it
 contains information about the problems, which may result by
 upgrading your kernel.

Package: kernel-patch-debian-2.6.6
Architecture: all
Section: devel
Priority: optional
Depends: bzip2
Suggests: kernel-source-2.6.6
Description: Debian patches to Linux 2.6.6
 This package includes the patches used to produce the prepackaged
 kernel-source-2.6.6 package.  They should be applied to a pristine
 Linux 2.6.6 kernel.

Package: kernel-tree-2.6.6
Architecture: all
Section: devel
Priority: optional
Depends: kernel-patch-debian-2.6.6 (= ${Source-Version}), ${kt-depends}
Provides: ${kt-provides}
Description: Linux kernel tree for building prepackaged Debian kernel images
 This meta package is used as a build-time dependency of prepackaged
 Debian kernel-image packages.  Its dependencies are structured so that a
 complete kernel tree with Debian patches applied will be available after
 this package is installed.
 .
 For those intending to use this package as a build-time dependency, this
 package provides a list of virtual packages that guarantees the availability
 of a particular Debian revision of the kernel tree.  The
 kernel-image-2.6.6-i386 package is an example of this.
