=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-source.
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2002 Herbert Xu <herbert@debian.org>
#
# $Id: rules,v 1.3 2003/12/21 05:36:54 herbert Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

version.Debian: debian/changelog
	sed 's/^[^ ]* (\([^)]*\)).*/\1/; q' $< > $@

debian/substvars.safe: debian/patches/list version.Debian debian/make-substvars
	chmod u+x debian/make-substvars
	debian/make-substvars version.Debian debian/patches/list > $@

build: build-stamp
build-stamp: version.Debian debian/substvars.safe debian/make-kernel-patch-pkgs
	dh_testdir

	chmod u+x debian/make-kernel-patch-pkgs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	make-kpkg clean
	rm -f .config*
	rm -f version.Debian

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp debian/substvars.safe debian/substvars

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot

	debian/make-kernel-patch-pkgs
	make-kpkg kernel-doc
	make-kpkg kernel-source

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
